VERSION 5.00
Object = "{3B7C8863-D78F-101B-B9B5-04021C009402}#1.2#0"; "Richtx32.ocx"
Begin VB.Form frmHelpFiles 
   AutoRedraw      =   -1  'True
   Caption         =   "Help"
   ClientHeight    =   6180
   ClientLeft      =   60
   ClientTop       =   8985
   ClientWidth     =   12660
   ForeColor       =   &H80000008&
   Icon            =   "frmHelpFiles.frx":0000
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   NegotiateMenus  =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6180
   ScaleWidth      =   12660
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmdLoadFile 
      Caption         =   "Edit/Load help file"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1200
      Left            =   60
      TabIndex        =   1
      Top             =   75
      Width           =   1300
   End
   Begin VB.CommandButton cmdSaveAsFile 
      Caption         =   "Save help file"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1200
      Left            =   60
      TabIndex        =   2
      Top             =   1455
      Width           =   1300
   End
   Begin RichTextLib.RichTextBox RichText1 
      Height          =   6000
      Left            =   1440
      TabIndex        =   0
      Top             =   60
      Width           =   11000
      _ExtentX        =   19394
      _ExtentY        =   10583
      _Version        =   393217
      Enabled         =   -1  'True
      ScrollBars      =   3
      TextRTF         =   $"frmHelpFiles.frx":030A
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
End
Attribute VB_Name = "frmHelpFiles"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Dim OutputNameFileHELPFile

Private Sub cmdLoadFile_Click()
    Call GetHELPFileFilename(0)

    If CancelFlag% <> 0 Then
        CancelFlag% = 0
    Else
        RichText1.LoadFile OutputNameFileHELPFile, 1
        frmHelpFiles.Caption = "SE_Aspectarian Help File - help.txt"
    End If
End Sub

Private Sub cmdSaveAsFile_Click()
    Call GetHELPFileFilename(1)

    If CancelFlag% <> 0 Then
        CancelFlag% = 0
    Else
        RichText1.SaveFile OutputNameFileHELPFile, 1
        frmHelpFiles.Caption = "SE_Aspectarian Help File - " & OutputNameFileHELPFile
    End If
End Sub

Private Sub Form_Deactivate()
    Call Form_Resize
End Sub

Private Sub Form_Load()
    frmHelpFiles!RichText1.Font.Name = "Courier New"
    frmHelpFiles!RichText1.Font.Size = 9
    frmHelpFiles.FontSize = frmHelpFiles!RichText1.Font.Size

    frmHelpFiles.ScaleMode = 1

    RichText1.Height = 6000

    If OutputNameFileHELPFile = "" Then
        OutputNameFileHELPFile = App.Path & "\help.txt"
    End If

    RichText1.LoadFile OutputNameFileHELPFile, 1
    frmHelpFiles.Caption = "SE_Aspectarian Help File - " & OutputNameFileHELPFile
End Sub

Private Sub Form_Resize()
    If Me.WindowState <> 1 Then
        RichText1.Height = frmHelpFiles.Height - 580
        RichText1.Width = frmHelpFiles.Width - 1645
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set frmHelpFiles = Nothing

    SE_Aspectarian.SetFocus            'v2.19 - make sure SE_Aspectarian main screen always has the focus when this window closes
End Sub


Public Sub GetHELPFileFilename(load_save%)
    Dim t$

    CancelFlag% = 0
    SE_Aspectarian!DLog.CancelError = True
    
    SE_Aspectarian!DLog.DefaultExt = "txt"
        
    SE_Aspectarian!DLog.InitDir = App.Path

    SE_Aspectarian!DLog.filename = OutputNameFileHELPFile

    SE_Aspectarian!DLog.Filter = "Help Files (*.txt) | *.txt"
    SE_Aspectarian!DLog.FilterIndex = 1
    SE_Aspectarian!DLog.Flags = OFN_OVERWRITEPROMPT Or OFN_PATHMUSTEXIST

    On Error GoTo PVC33f

    If load_save% = 0 Then
        SE_Aspectarian!DLog.DialogTitle = "Load help file"
        SE_Aspectarian!DLog.Action = 1
    Else
        SE_Aspectarian!DLog.DialogTitle = "Save help file"
        SE_Aspectarian!DLog.Action = 2
    End If

    OutputNameFileHELPFile = SE_Aspectarian!DLog.filename
    On Error GoTo 0

PVC44f:
    Exit Sub

PVC33f:
    If Err = 32755 Then             'Cancel was selected
        CancelFlag% = 1
    End If
    
    Resume PVC44f
End Sub

